% Test01_LSM
disp('----------------------------------------');
disp('ПОДГОТОВКА ТЕСТОВОГО ПОЛИНОМА');
x=[0:0.1:2];
c=[0.5 2 -1 0.3 1.7]
disp('Коэффициенты перечисляются от старших степеней к младшим');
y=polyval(c,x);
plot(x,y);
replay=input('Для продолжения нажмите Enter...');

disp('----------------------------------------');
disp('АППРОКСИМАЦИЯ СТЕПЕННЫМ РЯДОМ');
F=[x;y];
[A1]=lsm01(F,5);
A1'
disp('Коэффициенты перечисляются от младших степеней к старшим');
replay=input('Для продолжения нажмите Enter...');

disp('----------------------------------------');
disp('НАЛОЖЕНИЕ ШУМА С МАКСИМАЛЬНОЙ АМПЛИТУДОЙ');
y=polyval(c,x);
ns=rand(1,length(x));
maxns=max(abs(ns))
y=y+ns;
F=[x;y];
disp('АППРОКСИМАЦИЯ СТЕПЕННЫМ РЯДОМ');
[A2]=lsm01(F,5);
A2'
disp('Коэффициенты перечисляются от младших степеней к старшим');